关于升级go1.18的goland问题详解

2022-11-30 118阅读 0评论

?=截止目前,go1.18 已经发布了22 天,当前有很多的小伙伴已经在使用最新的版本,尝试着各种解锁新姿势。

但是更新之后,在goland中打开发现全是报错,是不是怀疑自己打开的方式不对?

报错:'main'redeclared as the imported package name

关于升级go1.18的goland问题详解

报错:Cannot use 'fmt.Sprintf("xxx:%v" , err)' (type string) as the Type any

关于升级go1.18的goland问题详解

对于这完全不知道的新问题,尝试着删除 .IDea 文件重启 Goland;重启电脑;重新安装GO1.18。

但还是解决不了上述报错问题。

经过一系列的思考:

go 在新本中增加了泛型,并且改动非常大。go 在发布新版后,之前的 goland 会不会不支持新特性

对于这两个问题,我们来到goland 的官网看看是不是我们猜想的那样?

关于升级go1.18的goland问题详解

一看,果然如此,对于 goland2021.2 的版本居然最高只支持到 go1.17 的新特性.

仔细一看,好像goland2021.2.5 也增加了对泛型的支持,但是可以考虑到这个时候,go1.18 还未正式发布,可能也是为了对应 go1.18 的 rc 尝鲜版本吧!(只是个人猜测)

关于升级go1.18的goland问题详解

那么我们来看下一个版本的情况:

goland2021.3.4 开始支持go的泛型约束集,说明可以支持泛型的正常开发功能

关于升级go1.18的goland问题详解

总结:

对于golang2021.2的最新版本,支持一部分的泛型尝鲜,但是支持不完善。对于goland2021.3的最新版本,支持完整的go泛型。有需要的需要更新到这个版本。

一般来说我们很少在安装一个版本后频繁的更新 goland,所以借此机会,可以直接更新到 goland 的最新版。

当前Goland2022.1.2的下载地址:Goland 2022.1.2

到此这篇关于关于升级go1.18的goland问题详解的文章就介绍到这了,更多相关升级go1.18的goland问题内容请搜索云初冀北以前的文章或继续浏览下面的相关文章希望大家以后多多支持云初冀北!

免责声明
本站提供的资源,都来自网络,版权争议与本站无关,所有内容及软件的文章仅限用于学习和研究目的。不得将上述内容用于商业或者非法用途,否则,一切后果请用户自负,我们不保证内容的长久可用性,通过使用本站内容随之而来的风险与本站无关,您必须在下载后的24个小时之内,从您的电脑/手机中彻底删除上述内容。如果您喜欢该程序,请支持正版软件,购买注册,得到更好的正版服务。侵删请致信E-mail:goliszhou@gmail.com
$

发表评论

表情:
评论列表 (暂无评论,118人围观)

还没有评论,来说两句吧...